Skip to main content
GET
Get OHLCV history

Path Parameters

symbol
string
required

Trading symbol or product code such as FPT or VN30F1M.

resolution
integer<int64>
required

Candle resolution in seconds. Native values are 60 and 86400; other values are aggregated from those bases.

from
integer<int64>
required

Start of the time range as Unix timestamp in milliseconds.

to
integer<int64>
required

End of the time range as Unix timestamp in milliseconds.

Response

OHLCV candles sorted by unixTime ascending.

docId
string

Database document id.

symbol
string

Candle symbol. Futures may be normalized to the requested future type.

unixTime
integer<int64>

Candle timestamp in Unix milliseconds.

open
number

Open price.

high
number

High price.

low
number

Low price.

close
number

Close price.

closeAdj
number

Adjusted close price.

volume
number

Traded volume.

type
integer

Stored resolution/type in seconds.

isSpotProduct
boolean

Whether this candle belongs to a spot product.

isFinished
boolean

Whether the candle is finalized.